Bug 1480001 - [Embedded Ansible] URL is not validated while adding new Ansible Repository
Summary: [Embedded Ansible] URL is not validated while adding new Ansible Repository
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.8.2
Assignee: Zita Nemeckova
QA Contact: luke couzens
URL:
Whiteboard: ansible_embed
Depends On: 1471883
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-09 22:02 UTC by Satoe Imaishi
Modified: 2017-10-24 00:38 UTC (History)
7 users (show)

Fixed In Version: 5.8.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1471883
Environment:
Last Closed: 2017-10-24 00:38:34 UTC
Category: ---
Cloudforms Team: Ansible
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3005 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2017-10-24 04:15:49 UTC

Comment 2 CFME Bot 2017-08-09 22:08:46 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/8124bef7f4112f37c8ed7782f63a8e8ea653dfe8

commit 8124bef7f4112f37c8ed7782f63a8e8ea653dfe8
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Tue Aug 8 13:30:32 2017 +0200
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Aug 9 18:02:22 2017 -0400

    Merge pull request #1846 from ZitaNemeckova/validator_boolean
    
    $validators return true/false
    (cherry picked from commit dc10a93f550d77941f9115030075dd8df74b8e8b)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1480001

 app/assets/javascripts/directives/url_validation.js | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 3 luke couzens 2017-08-29 09:44:35 UTC
Verified in 5.8.2.0

Comment 5 errata-xmlrpc 2017-10-24 00:38:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3005


Note You need to log in before you can comment on or make changes to this bug.